Name:     nonstd-optional-lite-devel
%global altname optional-lite
Version:  3.5.0
Release:  1%{?dist}
Summary:  A nullable object for C++11 and later
License:  Boost
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
optional lite is a single-file header-only library to represent optional
(nullable) objects and pass them by value. The library aims to provide a
C++17-like optional for use with C++98 and later. If available, std::optional is
used. There's also a simpler version, optional bare. Unlike optional lite,
optional bare is limited to default-constructible and copyable types.

%prep
%autosetup -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_datadir}
mv -f %{buildroot}/%{_libdir}/cmake %{buildroot}/%{_datadir}/

%check
%ctest

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/nonstd/*.hpp
%{_datadir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 3.5.0-1
- Initial version of the package
